Subject: [6lo] 转发: New Version Notification for draft-hou-6lo-plc-00.txt

From: houjianqiang <[email-masked]>
Date: Tue, 14 Mar 2017 06:08:52 +0000

Dear all,

We would like to draw your attention that we have submitted a new draft <draft-hou-6lo-plc-00.txt> which describes the transmission of IPv6 packets over Power Line Communication (PLC) networks. You can access this draft from here:

https://tools.ietf.org/id/draft-hou-6lo-plc-00.txt

Your comments are highly appreciated.

Best regards,
Jianqiang

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2017年3月13日 9:56
收件人: houjianqiang <[email-masked]>; Yong-Geun Hong <[email-masked]>; Yong-Geun Hong <[email-masked]>; Xiaojun Tang <[email-masked]>
主题: New Version Notification for draft-hou-6lo-plc-00.txt

A new version of I-D, draft-hou-6lo-plc-00.txt has been successfully submitted by Jianqiang Hou and posted to the IETF repository.

Name:		draft-hou-6lo-plc
Revision:	00
Title:		Transmission of IPv6 Packets over PLC Networks
Document date:	2017-03-10
Group:		Individual Submission
Pages:		17
URL:            https://www.ietf.org/internet-drafts/draft-hou-6lo-plc-00.txt
Status:         https://datatracker.ietf.org/doc/draft-hou-6lo-plc/
Htmlized:       https://tools.ietf.org/html/draft-hou-6lo-plc-00

Abstract:
   Power Line Communication (PLC), namely using the electric-power lines
   for indoor and outdoor communications, has been widely applied to
   support Advanced Metering Infrastructure (AMI), especially the smart
   meters for electricity.  With the inherent advantage of existing
   electricity infrastructure, PLC is expanding deployments all over the
   world, indicating the potential demand of IPv6 for future
   applications.  As part of this technology, Narrowband PLC (NBPLC) is
   focused on the low-bandwidth and low-power scenarios, including
   current standards such as IEEE 1901.2 and ITU-T G.9903.  This
   document describes how IPv6 packets are transported over constrained
   PLC networks.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Samita Chakrabarti <[email-masked]>
Date: Tue, 21 Mar 2017 14:20:51 -0700

Hi Jianquiang and co-authors:

I have browsed through the draft and thank you for bringing this work at
IETF.

A few comments and questions:

1) Is it safe to assume that all the nodes in PLC network are line-powered?
2) How does the IPv6 addresses are assigned in the mesh or tree network?
3) In the abstract the document talks about RFC6775, but originally G3-PLC
started using RFC 4861 IPv6-ND, is there a plan to adapt to 6lowpan-nd (RFC
6775)  ARO messages toward the PAN-co-ordinator or LBR ?
4) Section 4.1.3 talks about address mapping for 64-bit MAC address or
16-bit short address and there is one line on possibility of non-MAC
address derived addresses for privacy. Can you please elaborate/recommend
the privacy address procedure based on RFC 8065 ? Also, please indicate
when to use short-addresses and when to use 64bit ID based addresses in PLC
networks (such as local and Internet connectivity)?
5) Section 4.2.6 documents the 6lowpan extension headers and ESC dispatch
type usage. In the appendix or somewhere in the document, please explain
the use of command id and need for the extension in a short paragraph.
Please refer to RFC 8066 in the ESC header byte context and make sure it
follows the guideline described there.
6) Please provide an example of header orders(with diagrams) used in PLC
network from node to the LBR of PLC network. Does it always use Mesh header
along with IPHC?

Thanks,
-Samita

On Mon, Mar 13, 2017 at 11:08 PM, houjianqiang <[email-masked]>
wrote:

> Dear all,
>
> We would like to draw your attention that we have submitted a new draft
> <draft-hou-6lo-plc-00.txt> which describes the transmission of IPv6 packets
> over Power Line Communication (PLC) networks. You can access this draft
> from here:
>
> 收件人: houjianqiang <[email-masked]>; Yong-Geun Hong <
> [email-masked]>; Yong-Geun Hong <[email-masked]>; Xiaojun Tang <
> [email-masked]>
> A new version of I-D, draft-hou-6lo-plc-00.txt has been successfully
> submitted by Jianqiang Hou and posted to the IETF repository.
>
> Name:           draft-hou-6lo-plc
> Revision:       00
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
>
> The IETF Secretariat
>
> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo
>

---

From: houjianqiang <[email-masked]>
Date: Wed, 22 Mar 2017 09:36:21 +0000

Dear Samita,

Thanks so much for your valuable comments and questions. I really appreciate your feedback. Please see my response in line:

1) Is it safe to assume that all the nodes in PLC network are line-powered?
RE: Almost, but not totally safe. Well, current PLC standards are focused on either the Low/Medium Voltage or the High Voltage PLC networks. Power signal (such as 220V/50Hz for home use) always exists on the current power line grid. However, there are few use cases where nodes are not line-powered, e.g. wind turbines in the PLC network, nodes in this case are power generators. Though most nodes in PLC network are powered, we want them to be as less power consuming as possible because there are numerous smart meters all over the world and saving 1W on each meter means a lot to the power companies.

2) How does the IPv6 addresses are assigned in the mesh or tree network?
RE: For ITU-T G.9903, stateless auto configuration is used but IEEE 1901.2 recommends the use of DHCPv6. Both stateless and stateful methods are possible for other PLC standards, and the selection between ‘stateless’ & ‘stateful’ depends on the using scenarios. Considering the interworking mode in IEEE 1901.2 and the convenience of SAC, this draft recommends the use of SAC.

3) In the abstract the document talks about RFC6775, but originally G3-PLC started using RFC 4861 IPv6-ND, is there a plan to adapt to 6lowpan-nd (RFC 6775)  ARO messages toward the PAN-co-ordinator or LBR ?
RE: Yes, both ARO and 6CO are under consideration, and I plan to add a subsection “neighbor discovery” in the future.

4) Section 4.1.3 talks about address mapping for 64-bit MAC address or 16-bit short address and there is one line on possibility of non-MAC address derived addresses for privacy. Can you please elaborate/recommend the privacy address procedure based on RFC 8065 ? Also, please indicate when to use short-addresses and when to use 64bit ID based addresses in PLC networks (such as local and Internet connectivity)?
5) Section 4.2.6 documents the 6lowpan extension headers and ESC dispatch type usage. In the appendix or somewhere in the document, please explain the use of command id and need for the extension in a short paragraph. Please refer to RFC 8066 in the ESC header byte context and make sure it follows the guideline described there.
RE (4), (5): Thanks for your suggestion and comment. I will reflect these two in the next version.

6) Please provide an example of header orders(with diagrams) used in PLC network from node to the LBR of PLC network. Does it always use Mesh header along with IPHC?
RE: Sure, no problem. The example has been included in my slides and will be added in the next version. Mesh header is included in section 4.2.6 to illustrate the order of the headers but does not mean it is always used. IPHC is important and required to be always used in this draft.

It’s great to receive your response. Your comments are very valuable and useful for improving this draft. Many thanks!

Best regards,
Jianqiang

发件人: Samita Chakrabarti [mailto:[email-masked]]
发送时间: 2017年3月22日 5:21
收件人: houjianqiang <[email-masked]>
抄送: [email-masked]
主题: Re: [6lo] 转发: New Version Notification for draft-hou-6lo-plc-00.txt

I have browsed through the draft and thank you for bringing this work at IETF.

1) Is it safe to assume that all the nodes in PLC network are line-powered?
2) How does the IPv6 addresses are assigned in the mesh or tree network?
3) In the abstract the document talks about RFC6775, but originally G3-PLC started using RFC 4861 IPv6-ND, is there a plan to adapt to 6lowpan-nd (RFC 6775)  ARO messages toward the PAN-co-ordinator or LBR ?
4) Section 4.1.3 talks about address mapping for 64-bit MAC address or 16-bit short address and there is one line on possibility of non-MAC address derived addresses for privacy. Can you please elaborate/recommend the privacy address procedure based on RFC 8065 ? Also, please indicate when to use short-addresses and when to use 64bit ID based addresses in PLC networks (such as local and Internet connectivity)?
5) Section 4.2.6 documents the 6lowpan extension headers and ESC dispatch type usage. In the appendix or somewhere in the document, please explain the use of command id and need for the extension in a short paragraph. Please refer to RFC 8066 in the ESC header byte context and make sure it follows the guideline described there.
6) Please provide an example of header orders(with diagrams) used in PLC network from node to the LBR of PLC network. Does it always use Mesh header along with IPHC?

Thanks,
-Samita

On Mon, Mar 13, 2017 at 11:08 PM, houjianqiang <[email-masked]<mailto:[email-masked]>> wrote:
Dear all,

Best regards,
Jianqiang

-----邮件原件-----
发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]
发送时间: 2017年3月13日 9:56
收件人: houjianqiang <[email-masked]<mailto:[email-masked]>>; Yong-Geun Hong <[email-masked]<mailto:[email-masked]>>; Yong-Geun Hong <[email-masked]<mailto:[email-masked]>>; Xiaojun Tang <[email-masked]<mailto:[email-masked]>>
主题: New Version Notification for draft-hou-6lo-plc-00.txt

Name:           draft-hou-6lo-plc
Revision:       00

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

The IETF Secretariat

_______________________________________________
6lo mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/6lo